Subject: Re: [PATCH wireless-dev] d80211: Add support for user space client MLME

From: Johannes Berg <[email-masked]>
Date: Fri, 05 May 2006 12:13:14 +0200

On Thu, 2006-05-04 at 09:44 -0700, Jouni Malinen wrote:

> Yes. Currently, I'm just using a configuration file parameter for this,
> but this information should eventually be exported by the kernel code to
> allow wpa_supplicant to select which mode to use without requiring user
> configuration.

For the upcoming netlink interface, I'd suggest having a group of calls
that are needed for full-mac devices (similar to the current wext) and a
second group that are needed for soft-mlme, that way you simply try out
one for the soft-mlme and if not implemented fall back to hard, or the
other way around. Maybe.

johannes